﻿body {
    text-align: center;
    font-family: sans-serif;
    margin: 0;
}

.modal {
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    display: flex;
    align-items: start;
    justify-content: center;
    position: fixed;
    animation: modal 1s 1s forwards;
    visibility: visible; /* Make sure the modal is visible by default */
    opacity: 1;
    overflow: hidden; /* To handle content overflow */
}

.contenido {
    position: relative; /* Needed for positioning the close button */
    max-width: 600px;
    background: url(../../Images/NewView/popup.png) no-repeat center center;
    background-size: cover;
    margin-top: 7em;
    box-sizing: border-box;
    padding: 9px 65px 90px 62px;
}

p.tiempo {
    text-align: center;
    font-size: 21px;
    color: #fff;
    font-weight: bold;
    margin: 0;
    margin-left: -45px;
    margin-top: 0px;
}

p.precio {
    font-size: 4em;
    color: #020056;
    transform: rotate(-8deg);
    font-weight: bold;
    margin: 10px 0;
}

span.descuen {
    display: block;
    font-weight: bold;
}

span.pesos {
    color: #020056;
    font-weight: 500;
    font-size: 20px;
    float: right;
    padding-top: 0px;
    line-height: 24px;
    text-align: left;
    padding-left: 10px;
}

#cerrar {
    display: none;
}

#btn-cerrar {
    position: absolute;
    top: 37px;
    right: 0px;
    color: #fff;
    font-size: 25px;
    z-index: 9999;
    background: #000;
    height: 40px;
    width: 40px;
    line-height: 40px;
    border-radius: 50%;
    text-align: center;
    cursor: pointer;
}

@media (max-width: 600px) {


    span.pesos {
        font-size: 20px;
    }

    #btn-cerrar {
        font-size: 20px;
        height: 30px;
        width: 30px;
        top: 10px;
        right: 10px;
    }
}




.stopwatch {
    text-align: center;
    padding: 20px;
    border-radius: 8px;
}

#time {
    font-size: 2em;
    margin-bottom: 20px;
}

.controls button {
    font-size: 1em;
    padding: 10px 20px;
    margin: 5px;
    border: none;
    border-radius: 5px;
    background-color: #007bff;
    color: white;
    cursor: pointer;
    display: none;
}

    .controls button:hover {
        background-color: #0056b3;
    }

span#minutes {
    background: #FF021B;
    padding: 10px 12.4px 0 12.4px;
    color: #fff;
    font-size: 1.5em;
    border-radius: 10px 10px 0 0;
}

span#seconds {
    background: #FF021B;
    padding: 10px 20px 0 18.4px;
    color: #fff;
    font-size: 1.5em;
    border-radius: 10px 10px 0 0;
}

span#milliseconds {
    background: #FF021B;
    padding: 10px 19px 0 19px;
    color: #fff;
    font-size: 1.5em;
    border-radius: 10px 10px 0 0;
}

#time {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-bottom: 20px;
}

.time-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: red;
    border-radius: 5px;
}

.time-container {
    font-size: 2em;
}

.label {
    font-size: 0.8em;
    color: #666;
}

.controls button {
    font-size: 1em;
    padding: 10px 20px;
    margin: 5px;
    border: none;
    border-radius: 5px;
    background-color: #007bff;
    color: white;
    cursor: pointer;
}

    .controls button:hover {
        background-color: #0056b3;
    }

span.label {
    background: #ff041b;
    padding: 0px 10px 0 10px;
    color: #fff;
    font-size: 15px;
    border-radius: 0px 0px 5px 5px;
}

p.descu {
    font-weight: bold;
    font-size: 18px;
    padding: 0;
    margin: 0;
}
